# git-server

The pieces that make up the git.starcat.systems Forgejo server.

## Contents
-   `forgejo`:
    -   `app_ini` > `app.ini`: the Forgejo configuration file
    -   `custom`: customizations/tweaks made to Forgejo's appearance
-   `caddy`:
    -   `Caddyfile`: the Caddy server configuration (reverse proxies Forgejo)

## Making changes to Forgejo
1. Stop Forgejo: `sudo systemctl stop forgejo.service`
2. Upload new images/files (SFTP is probably easiest)
3. Chdir to the destination: `cd /var/lib/forgejo/custom/public/assets/img`
4. Change file permissions: `chown git:git apple-touch-icon.png  favicon.png  favicon.svg  logo.png  logo.svg`
5. Start Forgejo: `sudo systemctl start forgejo.service`
6. Wait for Forgejo to start, then refresh the site and make sure that changes flow through. You may have to give it a bit and/or clear your cache.

> [!important]
> **This repo is mirrored** between https://git.starcat.systems/starcat-infra/git-server and https://gitlab.com/starcatsys-mirror/starcat-infra/git-server. The version hosted on GitLab is a **read-only** version. Please use https://git.starcat.systems/starcat-infra/git-server for all interaction.

> [!note]
> **An important note on licensing:** The changes and customizations to configurations, projects, and files in this repo are released under the MIT license. Other files, including those from Forgejo/Codeberg, Caddy, and images/logos may be released under different licenses.